{
  "format_version": "1.10.0",
  "render_controllers": {
    "controller.render.crl.armadillo": {
      "arrays": {
        "textures": {
          "Array.variant_skins": ["Texture.brown", "Texture.black", "Texture.white"]
        }
      },
      "geometry": "Geometry.default",
      "materials": [{ "*": "Material.default" }],
      "textures": [
        "(q.is_name_any('Black','Brown','White')?(q.is_name_any('Black')?(Texture.black):(q.is_name_any('Brown')?Texture.brown:Texture.white)):Array.variant_skins[variable.random_variant])"
      ],
      "part_visibility": [
        { "body": "!variable.use_rolled_up_model" },
        { "tail": "!variable.use_rolled_up_model" },
        { "left_hind_leg": "!variable.use_rolled_up_model" },
        { "right_hind_leg": "!variable.use_rolled_up_model" },
        { "body_rolled_up": "variable.use_rolled_up_model" }
      ]
    }
  }
}
